[Issue 170] New - Provide ATOM 1.0 feeds instead of deprecated ATOM 0.3

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Issue 170] New - Provide ATOM 1.0 feeds instead of deprecated ATOM 0.3

vsizikov
https://hudson.dev.java.net/issues/show_bug.cgi?id=170
                 Issue #|170
                 Summary|Provide ATOM 1.0 feeds instead of deprecated ATOM 0.3
               Component|hudson
                 Version|current
                Platform|All
              OS/Version|All
                     URL|
                  Status|NEW
       Status whiteboard|
                Keywords|
              Resolution|
              Issue type|ENHANCEMENT
                Priority|P4
            Subcomponent|www
             Assigned to|issues@hudson
             Reported by|vsizikov






------- Additional comments from [hidden email] Sat Nov 18 21:42:43 +0000 2006 -------
It would be good if Hudson could switch from deprecated ATOM 0.3 to the recent
ATOM 1.0, which is an official IETF RFC in the Standards Track category:

http://www.ietf.org/rfc/rfc4287
http://www.atomenabled.org/developers/syndication/atom-format-spec.php

I can provide a patch for this, if this enchancement is desirable.

Benefits of using ATOM 1.0: It's a more or less standard, feed validator from
http://feedvalidator.org/ can be used to make sure Hudson produces valid feeds.

Currently, it complains about ATOM 0.3:
column 0: This feed uses an obsolete namespace

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]